package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Vallist;
import com.realnet.angulardatatype.Services.VallistService ;




@RequestMapping(value = "/token/Vallist")
 @CrossOrigin("*") 
@RestController
public class tokenFree_VallistController {
	@Autowired
	private VallistService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Vallist")
		  public Vallist Savedata(@RequestBody Vallist data) {
		Vallist save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Vallist/{id}")
	public  Vallist update(@RequestBody Vallist data,@PathVariable Integer id ) {
		Vallist update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Vallist/getall/page")
	public Page<Vallist> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Vallist> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Vallist")
	public List<Vallist> getdetails() {
		 List<Vallist> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Vallist")
	public List<Vallist> getallwioutsec() {
		 List<Vallist> get = Service.getdetails();		
		return get;
}
@GetMapping("/Vallist/{id}")
	public  Vallist  getdetailsbyId(@PathVariable Integer id ) {
		Vallist  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Vallist/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}